option explicit

const CURRENT_USER_STORE = 1
'const SYSTEM_STORE_MY = 1
const SYSTEM_STORE_ADDRESS_BOOK = 16
const POLICY_TYPE_NONE = 0

const STORE_TYPE_PKCS7 = 16
const CERT_FOR_ENCRYPT = 0
const DT_PLAIN_DATA = 0
const DT_ENVELOPED_DATA = 3
const DER_TYPE = 1


dim fileToEncrypt
fileToEncrypt = selectFileToEncrypt

dim encryptedFile
encryptedFile = createNameForEncryptedFile(fileToEncrypt)

dim recipients
set recipients = selectRecipients

encryptFileForRecipients fileToEncrypt, recipients, encryptedFile
MsgBox "    " & vbCrLf & encryptedFile

function createNameForEncryptedFile(plainFileName)
    dim oFso
    set oFso = CreateObject("Scripting.FileSystemObject")
    dim encryptedName
    encryptedName = plainFileName & ".enc"
    dim i
    i = 1
    do while oFso.FileExists(encryptedName)
        encryptedName = oFso.GetParentFolderName(plainFileName) & "\" & oFso.GetBaseName(plainFileName) & " (" & i & ")." & oFso.GetExtensionName(plainFileName) & ".enc"
        i = i+1
    loop
    
    createNameForEncryptedFile = encryptedName
end function

function selectFileToEncrypt()
'    Dim objDialog
'    Set objDialog = CreateObject("MSComDlg.CommonDialog")
'    objDialog.Filter = " |*.*"
'    
'    If objDialog.ShowOpen Then
'        selectFileToEncrypt = objDialog.FileName
'    Else
'        GetFileName = ""
'    End If

    dim wShell
    Set wShell=CreateObject("WScript.Shell")
    dim oExec
    Set oExec=wShell.Exec("mshta.exe ""about:<input type=file id=FILE><script>FILE.click();new ActiveXObject('Scripting.FileSystemObject').GetStandardStream(1).WriteLine(FILE.value);close();resizeTo(0,0);</script>""")
    dim resultFile
    resultFile = oExec.StdOut.ReadLine
    
    if len(resultFile)=0 then
        MsgBox " "
        WScript.Quit
    end if
    
    selectFileToEncrypt = resultFile
end function

function selectRecipients()
    dim oCertStore
    set oCertStore = CreateObject("DigtCrypto.CertificateStore")

    oCertStore.Open CURRENT_USER_STORE, "AddressBook"

    dim oCertificates
    set oCertificates = oCertStore.Display( SYSTEM_STORE_ADDRESS_BOOK, POLICY_TYPE_NONE, true )

    if TypeName(oCertificates) <> "ICertificates" then
        MsgBox " "
        WScript.Quit
    end if
    
    set selectRecipients = oCertificates
end function

sub encryptFileForRecipients(fileName, recipients, resultFileName)
    dim profile
    set profile = CreateObject("DigtCrypto.Profile")
    profile.Recipients = recipients
    
    dim message
    set message = CreateObject("DigtCrypto.PKCS7Message")
    
    message.Profile = profile
    message.Load DT_PLAIN_DATA, fileName
    message.Encrypt

    message.Save DT_ENVELOPED_DATA, DER_TYPE, resultFileName
end sub
