option explicit

const CURRENT_USER_STORE = 1
'const SYSTEM_STORE_MY = 1
const SYSTEM_STORE_ADDRESS_BOOK = 16
const POLICY_TYPE_NONE = 0

const STORE_TYPE_PKCS7 = 16
const CERT_FOR_ENCRYPT = 0
const DT_PLAIN_DATA = 0
const DT_ENVELOPED_DATA = 3
const DER_TYPE = 1


dim fileToEncrypt
fileToEncrypt = selectFileToEncrypt

dim encryptedFile
encryptedFile = createNameForEncryptedFile(fileToEncrypt)

dim recipients
set recipients = selectRecipients

encryptFileForRecipients fileToEncrypt, recipients, encryptedFile
MsgBox "    " & vbCrLf & encryptedFile

function createNameForEncryptedFile(plainFileName)
    dim oFso
    set oFso = CreateObject("Scripting.FileSystemObject")
    dim encryptedName
    encryptedName = plainFileName & ".enc"
    dim i
    i = 1
    do while oFso.FileExists(encryptedName)
        encryptedName = oFso.GetParentFolderName(plainFileName) & "\" & oFso.GetBaseName(plainFileName) & " (" & i & ")." & oFso.GetExtensionName(plainFileName) & ".enc"
        i = i+1
    loop
    
    createNameForEncryptedFile = encryptedName
end function

function selectFileToEncrypt()
'    Dim objDialog
'    Set objDialog = CreateObject("MSComDlg.CommonDialog")
'    objDialog.Filter = " |*.*"
'    
'    If objDialog.ShowOpen Then
'        selectFileToEncrypt = objDialog.FileName
'    Else
'        GetFileName = ""
'    End If

    dim wShell
    Set wShell=CreateObject("WScript.Shell")
    dim oExec
    Set oExec=wShell.Exec("mshta.exe ""about:<input type=file id=FILE><script>FILE.click();new ActiveXObject('Scripting.FileSystemObject').GetStandardStream(1).WriteLine(FILE.value);close();resizeTo(0,0);</script>""")
    dim resultFile
    resultFile = oExec.StdOut.ReadLine
    
    if len(resultFile)=0 then
        MsgBox " "
        WScript.Quit
    end if
    
    selectFileToEncrypt = resultFile
end function

function selectRecipients()
    dim oCertStore
    set oCertStore = CreateObject("DigtCrypto.CertificateStore")

    oCertStore.Open CURRENT_USER_STORE, "AddressBook"

    dim oCertificates
    set oCertificates = oCertStore.Display( SYSTEM_STORE_ADDRESS_BOOK, POLICY_TYPE_NONE, true )

    if TypeName(oCertificates) <> "ICertificates" then
        MsgBox " "
        WScript.Quit
    end if
    
    set selectRecipients = oCertificates
end function

sub encryptFileForRecipients(fileName, recipients, resultFileName)
    dim profile
    set profile = CreateObject("DigtCrypto.Profile")
    profile.Recipients = recipients
    
    dim message
    set message = CreateObject("DigtCrypto.PKCS7Message")
    
    message.Profile = profile
    message.Load DT_PLAIN_DATA, fileName
    message.Encrypt

    message.Save DT_ENVELOPED_DATA, DER_TYPE, resultFileName
end sub

'' SIG '' Begin signature block
'' SIG '' MIIiLQYJKoZIhvcNAQcCoIIiHjCCIhoCAQExCzAJBgUr
'' SIG '' DgMCGgUAMGcGCisGAQQBgjcCAQSgWTBXMDIGCisGAQQB
'' SIG '' gjcCAR4wJAIBAQQQTvApFpkntU2P5azhDxfrqwIBAAIB
'' SIG '' AAIBAAIBAAIBADAhMAkGBSsOAwIaBQAEFFQi0Kh/dxYZ
'' SIG '' qoi3WMnYuoNwep00oIIcZDCCBP4wggPmoAMCAQICEA1C
'' SIG '' SuC+Ooj/YEAhzhQA8N0wDQYJKoZIhvcNAQELBQAwcjEL
'' SIG '' MAkGA1UEBhMCVVMxFTATBgNVBAoTDERpZ2lDZXJ0IElu
'' SIG '' YzEZMBcGA1UECxMQd3d3LmRpZ2ljZXJ0LmNvbTExMC8G
'' SIG '' A1UEAxMoRGlnaUNlcnQgU0hBMiBBc3N1cmVkIElEIFRp
'' SIG '' bWVzdGFtcGluZyBDQTAeFw0yMTAxMDEwMDAwMDBaFw0z
'' SIG '' MTAxMDYwMDAwMDBaMEgxCzAJBgNVBAYTAlVTMRcwFQYD
'' SIG '' VQQKEw5EaWdpQ2VydCwgSW5jLjEgMB4GA1UEAxMXRGln
'' SIG '' aUNlcnQgVGltZXN0YW1wIDIwMjEwggEiMA0GCSqGSIb3
'' SIG '' DQEBAQUAA4IBDwAwggEKAoIBAQDC5mGEZ8WK9Q0IpEXK
'' SIG '' Y2tR1zoRQr0KdXVNlLQMULUmEP4dyG+RawyW5xpcSO9E
'' SIG '' 5b+bYc0VkWJauP9nC5xj/TZqgfop+N0rcIXeAhjzeG28
'' SIG '' ffnHbQk9vmp2h+mKvfiEXR52yeTGdnY6U9HR01o2j8aj
'' SIG '' 4S8bOrdh1nPsTm0zinxdRS1LsVDmQTo3VobckyON91Al
'' SIG '' 6GTm3dOPL1e1hyDrDo4s1SPa9E14RuMDgzEpSlwMMYpK
'' SIG '' jIjF9zBa+RSvFV9sQ0kJ/SYjU/aNY+gaq1uxHTDCm2mC
'' SIG '' tNv8VlS8H6GHq756WwogL0sJyZWnjbL61mOLTqVyHO6f
'' SIG '' egFz+BnW/g1JhL0BAgMBAAGjggG4MIIBtDAOBgNVHQ8B
'' SIG '' Af8EBAMCB4AwDAYDVR0TAQH/BAIwADAWBgNVHSUBAf8E
'' SIG '' DDAKBggrBgEFBQcDCDBBBgNVHSAEOjA4MDYGCWCGSAGG
'' SIG '' /WwHATApMCcGCCsGAQUFBwIBFhtodHRwOi8vd3d3LmRp
'' SIG '' Z2ljZXJ0LmNvbS9DUFMwHwYDVR0jBBgwFoAU9LbhIB3+
'' SIG '' Ka7S5GGlsqIlssgXNW4wHQYDVR0OBBYEFDZEho6kurBm
'' SIG '' vrwoLR1ENt3janq8MHEGA1UdHwRqMGgwMqAwoC6GLGh0
'' SIG '' dHA6Ly9jcmwzLmRpZ2ljZXJ0LmNvbS9zaGEyLWFzc3Vy
'' SIG '' ZWQtdHMuY3JsMDKgMKAuhixodHRwOi8vY3JsNC5kaWdp
'' SIG '' Y2VydC5jb20vc2hhMi1hc3N1cmVkLXRzLmNybDCBhQYI
'' SIG '' KwYBBQUHAQEEeTB3MCQGCCsGAQUFBzABhhhodHRwOi8v
'' SIG '' b2NzcC5kaWdpY2VydC5jb20wTwYIKwYBBQUHMAKGQ2h0
'' SIG '' dHA6Ly9jYWNlcnRzLmRpZ2ljZXJ0LmNvbS9EaWdpQ2Vy
'' SIG '' dFNIQTJBc3N1cmVkSURUaW1lc3RhbXBpbmdDQS5jcnQw
'' SIG '' DQYJKoZIhvcNAQELBQADggEBAEgc3LXpmiO85xrnIA6O
'' SIG '' Z0b9QnJRdAojR6OrktIlxHBZvhSg5SeBpU0UFRkHefDR
'' SIG '' BMOG2Tu9/kQCZk3taaQP9rhwz2Lo9VFKeHk2eie38+dS
'' SIG '' n5On7UOee+e03UEiifuHokYDTvz0/rdkd2NfI1Jpg4L6
'' SIG '' GlPtkMyNoRdzDfTzZTlwS/Oc1np72gy8PTLQG8v1Yfx1
'' SIG '' CAB2vIEO+MDhXM/EEXLnG2RJ2CKadRVC9S0yOIHa9GCi
'' SIG '' urRS+1zgYSQlT7LfySmoc0NR2r1j1h9bm/cuG08THfdK
'' SIG '' DXF+l7f0P4TrweOjSaH6zqe/Vs+6WXZhiV9+p7SOZ3j5
'' SIG '' NpjhyyjaW4emii8wggUxMIIEGaADAgECAhAKoSXW1jIb
'' SIG '' fkHkBdo2l8IVMA0GCSqGSIb3DQEBCwUAMGUxCzAJBgNV
'' SIG '' BAYTAlVTMRUwEwYDVQQKEwxEaWdpQ2VydCBJbmMxGTAX
'' SIG '' BgNVBAsTEHd3dy5kaWdpY2VydC5jb20xJDAiBgNVBAMT
'' SIG '' G0RpZ2lDZXJ0IEFzc3VyZWQgSUQgUm9vdCBDQTAeFw0x
'' SIG '' NjAxMDcxMjAwMDBaFw0zMTAxMDcxMjAwMDBaMHIxCzAJ
'' SIG '' BgNVBAYTAlVTMRUwEwYDVQQKEwxEaWdpQ2VydCBJbmMx
'' SIG '' GTAXBgNVBAsTEHd3dy5kaWdpY2VydC5jb20xMTAvBgNV
'' SIG '' BAMTKERpZ2lDZXJ0IFNIQTIgQXNzdXJlZCBJRCBUaW1l
'' SIG '' c3RhbXBpbmcgQ0EwggEiMA0GCSqGSIb3DQEBAQUAA4IB
'' SIG '' DwAwggEKAoIBAQC90DLuS82Pf92puoKZxTlUKFe2I0rE
'' SIG '' DgdFM1EQfdD5fU1ofue2oPSNs4jkl79jIZCYvxO8V9PD
'' SIG '' 4X4I1moUADj3Lh477sym9jJZ/l9lP+Cb6+NGRwYaVX4L
'' SIG '' J37AovWg4N4iPw7/fpX786O6Ij4YrBHk8JkDbTuFfAnT
'' SIG '' 7l3ImgtU46gJcWvgzyIQD3XPcXJOCq3fQDpct1HhoXkU
'' SIG '' xk0kIzBdvOw8YGqsLwfM/fDqR9mIUF79Zm5WYScpiYRR
'' SIG '' 5oLnRlD9lCosp+R1PrqYD4R/nzEU1q3V8mTLex4F0IQZ
'' SIG '' chfxFwbvPc3WTe8GQv2iUypPhR3EHTyvz9qsEPXdrKzp
'' SIG '' Vv+TAgMBAAGjggHOMIIByjAdBgNVHQ4EFgQU9LbhIB3+
'' SIG '' Ka7S5GGlsqIlssgXNW4wHwYDVR0jBBgwFoAUReuir/SS
'' SIG '' y4IxLVGLp6chnfNtyA8wEgYDVR0TAQH/BAgwBgEB/wIB
'' SIG '' ADAOBgNVHQ8BAf8EBAMCAYYwEwYDVR0lBAwwCgYIKwYB
'' SIG '' BQUHAwgweQYIKwYBBQUHAQEEbTBrMCQGCCsGAQUFBzAB
'' SIG '' hhhodHRwOi8vb2NzcC5kaWdpY2VydC5jb20wQwYIKwYB
'' SIG '' BQUHMAKGN2h0dHA6Ly9jYWNlcnRzLmRpZ2ljZXJ0LmNv
'' SIG '' bS9EaWdpQ2VydEFzc3VyZWRJRFJvb3RDQS5jcnQwgYEG
'' SIG '' A1UdHwR6MHgwOqA4oDaGNGh0dHA6Ly9jcmw0LmRpZ2lj
'' SIG '' ZXJ0LmNvbS9EaWdpQ2VydEFzc3VyZWRJRFJvb3RDQS5j
'' SIG '' cmwwOqA4oDaGNGh0dHA6Ly9jcmwzLmRpZ2ljZXJ0LmNv
'' SIG '' bS9EaWdpQ2VydEFzc3VyZWRJRFJvb3RDQS5jcmwwUAYD
'' SIG '' VR0gBEkwRzA4BgpghkgBhv1sAAIEMCowKAYIKwYBBQUH
'' SIG '' AgEWHGh0dHBzOi8vd3d3LmRpZ2ljZXJ0LmNvbS9DUFMw
'' SIG '' CwYJYIZIAYb9bAcBMA0GCSqGSIb3DQEBCwUAA4IBAQBx
'' SIG '' lRLpUYdWac3v3dp8qmN6s3jPBjdAhO9LhL/KzwMC/cWn
'' SIG '' ww4gQiyvd/MrHwwhWiq3BTQdaq6Z+CeiZr8JqmDfdqQ6
'' SIG '' kw/4stHYfBli6F6CJR7Euhx7LCHi1lssFDVDBGiy23UC
'' SIG '' 4HLHmNY8ZOUfSBAYX4k4YU1iRiSHY4yRUiyvKYnleB/W
'' SIG '' CxSlgNcSR3CzddWThZN+tpJn+1Nhiaj1a5bA9FhpDXzI
'' SIG '' AbG5KHW3mWOFIoxhynmUfln8jA/jb7UBJrZspe6HUSHk
'' SIG '' WGCbugwtK22ixH67xCUrRwIIfEmuE7bhfEJCKMYYVs9B
'' SIG '' NLZmXbZ0e/VWMyIvIjayS6JKldj1po5SMIIFbzCCBFeg
'' SIG '' AwIBAgIQSPyTtGBVlI02p8mKidaUFjANBgkqhkiG9w0B
'' SIG '' AQwFADB7MQswCQYDVQQGEwJHQjEbMBkGA1UECAwSR3Jl
'' SIG '' YXRlciBNYW5jaGVzdGVyMRAwDgYDVQQHDAdTYWxmb3Jk
'' SIG '' MRowGAYDVQQKDBFDb21vZG8gQ0EgTGltaXRlZDEhMB8G
'' SIG '' A1UEAwwYQUFBIENlcnRpZmljYXRlIFNlcnZpY2VzMB4X
'' SIG '' DTIxMDUyNTAwMDAwMFoXDTI4MTIzMTIzNTk1OVowVjEL
'' SIG '' MAkGA1UEBhMCR0IxGDAWBgNVBAoTD1NlY3RpZ28gTGlt
'' SIG '' aXRlZDEtMCsGA1UEAxMkU2VjdGlnbyBQdWJsaWMgQ29k
'' SIG '' ZSBTaWduaW5nIFJvb3QgUjQ2MIICIjANBgkqhkiG9w0B
'' SIG '' AQEFAAOCAg8AMIICCgKCAgEAjeeUEiIEJHQu/xYjApKK
'' SIG '' tq42haxH1CORKz7cfeIxoFFvrISR41KKteKW3tCHYySJ
'' SIG '' iv/vEpM7fbu2ir29BX8nm2tl06UMabG8STma8W1uquSg
'' SIG '' gyfamg0rUOlLW7O4ZDakfko9qXGrYbNzszwLDO/bM1fl
'' SIG '' vjQ345cbXf0fEj2CA3bm+z9m0pQxafptszSswXp43JJQ
'' SIG '' 8mTHqi0Eq8Nq6uAvp6fcbtfo/9ohq0C/ue4NnsbZnpnv
'' SIG '' xt4fqQx2sycgoda6/YDnAdLv64IplXCN/7sVz/7RDzai
'' SIG '' Lk8ykHRGa0c1E3cFM09jLrgt4b9lpwRrGNhx+swI8m2J
'' SIG '' mRCxrds+LOSqGLDGBwF1Z95t6WNjHjZ/aYm+qkU+blpf
'' SIG '' j6Fby50whjDoA7NAxg0POM1nqFOI+rgwZfpvx+cdsYN0
'' SIG '' aT6sxGg7seZnM5q2COCABUhA7vaCZEao9XOwBpXybGWf
'' SIG '' v1VbHJxXGsd4RnxwqpQbghesh+m2yQ6BHEDWFhcp/Fyc
'' SIG '' GCvqRfXvvdVnTyheBe6QTHrnxvTQ/PrNPjJGEyA2igTq
'' SIG '' t6oHRpwNkzoJZplYXCmjuQymMDg80EY2NXycuu7D1fkK
'' SIG '' dvp+BRtAypI16dV60bV/AK6pkKrFfwGcELEW/MxuGNxv
'' SIG '' Yv6mUKe4e7idFT/+IAx1yCJaE5UZkADpGtXChvHjjuxf
'' SIG '' 9OUCAwEAAaOCARIwggEOMB8GA1UdIwQYMBaAFKARCiM+
'' SIG '' lvEH7OKvKe+CpX/QMKS0MB0GA1UdDgQWBBQy65Ka/zWW
'' SIG '' SC8oQEJwIDaRXBeF5jAOBgNVHQ8BAf8EBAMCAYYwDwYD
'' SIG '' VR0TAQH/BAUwAwEB/zATBgNVHSUEDDAKBggrBgEFBQcD
'' SIG '' AzAbBgNVHSAEFDASMAYGBFUdIAAwCAYGZ4EMAQQBMEMG
'' SIG '' A1UdHwQ8MDowOKA2oDSGMmh0dHA6Ly9jcmwuY29tb2Rv
'' SIG '' Y2EuY29tL0FBQUNlcnRpZmljYXRlU2VydmljZXMuY3Js
'' SIG '' MDQGCCsGAQUFBwEBBCgwJjAkBggrBgEFBQcwAYYYaHR0
'' SIG '' cDovL29jc3AuY29tb2RvY2EuY29tMA0GCSqGSIb3DQEB
'' SIG '' DAUAA4IBAQASv6Hvi3SamES4aUa1qyQKDKSKZ7g6gb9F
'' SIG '' in1SB6iNH04hhTmja14tIIa/ELiueTtTzbT72ES+Btlc
'' SIG '' Y2fUQBaHRIZyKtYyFfUSg8L54V0RQGf2QidyxSPiAjga
'' SIG '' TCDi2wH3zUZPJqJ8ZsBRNraJAlTH/Fj7bADu/pimLpWh
'' SIG '' DFMpH2/YGaZPnvesCepdgsaLr4CnvYFIUoQx2jLsFeSm
'' SIG '' TD1sOXPUC4U5IOCFGmjhp0g4qdE2JXfBjRkWxYhMZn0v
'' SIG '' Y86Y6GnfrDyoXZ3JHFuu2PMvdM+4fvbXg50RlmKarkUT
'' SIG '' 2n/cR/vfw1Kf5gZV6Z2M8jpiUbzsJA8p1FiAhORFe1rY
'' SIG '' MIIGGjCCBAKgAwIBAgIQYh1tDFIBnjuQeRUgiSEcCjAN
'' SIG '' BgkqhkiG9w0BAQwFADBWMQswCQYDVQQGEwJHQjEYMBYG
'' SIG '' A1UEChMPU2VjdGlnbyBMaW1pdGVkMS0wKwYDVQQDEyRT
'' SIG '' ZWN0aWdvIFB1YmxpYyBDb2RlIFNpZ25pbmcgUm9vdCBS
'' SIG '' NDYwHhcNMjEwMzIyMDAwMDAwWhcNMzYwMzIxMjM1OTU5
'' SIG '' WjBUMQswCQYDVQQGEwJHQjEYMBYGA1UEChMPU2VjdGln
'' SIG '' byBMaW1pdGVkMSswKQYDVQQDEyJTZWN0aWdvIFB1Ymxp
'' SIG '' YyBDb2RlIFNpZ25pbmcgQ0EgUjM2MIIBojANBgkqhkiG
'' SIG '' 9w0BAQEFAAOCAY8AMIIBigKCAYEAmyudU/o1P45gBkNq
'' SIG '' wM/1f/bIU1MYyM7TbH78WAeVF3llMwsRHgBGRmxDeEDI
'' SIG '' ArCS2VCoVk4Y/8j6stIkmYV5Gej4NgNjVQ4BYoDjGMwd
'' SIG '' jioXan1hlaGFt4Wk9vT0k2oWJMJjL9G//N523hAm4jF4
'' SIG '' UjrW2pvv9+hdPX8tbbAfI3v0VdJiJPFy/7XwiunD7mBx
'' SIG '' NtecM6ytIdUlh08T2z7mJEXZD9OWcJkZk5wDuf2q52PN
'' SIG '' 43jc4T9OkoXZ0arWZVeffvMr/iiIROSCzKoDmWABDRzV
'' SIG '' /UiQ5vqsaeFaqQdzFf4ed8peNWh1OaZXnYvZQgWx/SXi
'' SIG '' JDRSAolRzZEZquE6cbcH747FHncs/Kzcn0Ccv2jrOW+L
'' SIG '' PmnOyB+tAfiWu01TPhCr9VrkxsHC5qFNxaThTG5j4/Kc
'' SIG '' +ODD2dX/fmBECELcvzUHf9shoFvrn35XGf2RPaNTO2uS
'' SIG '' Z6n9otv7jElspkfK9qEATHZcodp+R4q2OIypxR//YEb3
'' SIG '' fkDn3UayWW9bAgMBAAGjggFkMIIBYDAfBgNVHSMEGDAW
'' SIG '' gBQy65Ka/zWWSC8oQEJwIDaRXBeF5jAdBgNVHQ4EFgQU
'' SIG '' DyrLIIcouOxvSK4rVKYpqhekzQwwDgYDVR0PAQH/BAQD
'' SIG '' AgGGMBIGA1UdEwEB/wQIMAYBAf8CAQAwEwYDVR0lBAww
'' SIG '' CgYIKwYBBQUHAwMwGwYDVR0gBBQwEjAGBgRVHSAAMAgG
'' SIG '' BmeBDAEEATBLBgNVHR8ERDBCMECgPqA8hjpodHRwOi8v
'' SIG '' Y3JsLnNlY3RpZ28uY29tL1NlY3RpZ29QdWJsaWNDb2Rl
'' SIG '' U2lnbmluZ1Jvb3RSNDYuY3JsMHsGCCsGAQUFBwEBBG8w
'' SIG '' bTBGBggrBgEFBQcwAoY6aHR0cDovL2NydC5zZWN0aWdv
'' SIG '' LmNvbS9TZWN0aWdvUHVibGljQ29kZVNpZ25pbmdSb290
'' SIG '' UjQ2LnA3YzAjBggrBgEFBQcwAYYXaHR0cDovL29jc3Au
'' SIG '' c2VjdGlnby5jb20wDQYJKoZIhvcNAQEMBQADggIBAAb/
'' SIG '' guF3YzZue6EVIJsT/wT+mHVEYcNWlXHRkT+FoetAQLHI
'' SIG '' 1uBy/YXKZDk8+Y1LoNqHrp22AKMGxQtgCivnDHFyAQ9G
'' SIG '' XTmlk7MjcgQbDCx6mn7yIawsppWkvfPkKaAQsiqaT9Dn
'' SIG '' MWBHVNIabGqgQSGTrQWo43MOfsPynhbz2Hyxf5XWKZpR
'' SIG '' vr3dMapandPfYgoZ8iDL2OR3sYztgJrbG6VZ9DoTXFm1
'' SIG '' g0Rf97Aaen1l4c+w3DC+IkwFkvjFV3jS49ZSc4lShKK6
'' SIG '' BrPTJYs4NG1DGzmpToTnwoqZ8fAmi2XlZnuchC4NPSZa
'' SIG '' PATHvNIzt+z1PHo35D/f7j2pO1S8BCysQDHCbM5Mnomn
'' SIG '' q5aYcKCsdbh0czchOm8bkinLrYrKpii+Tk7pwL7TjRKL
'' SIG '' Xkomm5D1Umds++pip8wH2cQpf93at3VDcOK4N7EwoIJB
'' SIG '' 0kak6pSzEu4I64U6gZs7tS/dGNSljf2OSSnRr7KWzq03
'' SIG '' zl8l75jy+hOds9TWSenLbjBQUGR96cFr6lEUfAIEHVC1
'' SIG '' L68Y1GGxx4/eRI82ut83axHMViw1+sVpbPxg51Tbnio1
'' SIG '' lB93079WPFnYaOvfGAA0e0zcfF/M9gXr+korwQTh2Prq
'' SIG '' ooq2bYNMvUoUKD85gnJ+t0smrWrb8dee2CvYZXD5laGt
'' SIG '' aAxOfy/VKNmwuWuAh9kcMIIGmDCCBQCgAwIBAgIQMObz
'' SIG '' pWuQ7xgKfOdGH88hBjANBgkqhkiG9w0BAQwFADBUMQsw
'' SIG '' CQYDVQQGEwJHQjEYMBYGA1UEChMPU2VjdGlnbyBMaW1p
'' SIG '' dGVkMSswKQYDVQQDEyJTZWN0aWdvIFB1YmxpYyBDb2Rl
'' SIG '' IFNpZ25pbmcgQ0EgUjM2MB4XDTIxMDgyNjAwMDAwMFoX
'' SIG '' DTI0MDgyNTIzNTk1OVowgZsxCzAJBgNVBAYTAlJVMR4w
'' SIG '' HAYDVQQIDBVNYXJpaiDDiGwsIFJlc3B1Ymxpa2ExNTAz
'' SIG '' BgNVBAoMLERJR0lUQUwgVEVDSE5PTE9HWSBMSU1JVEVE
'' SIG '' IExJQUJJTElUWSBDT01QQU5ZMTUwMwYDVQQDDCxESUdJ
'' SIG '' VEFMIFRFQ0hOT0xPR1kgTElNSVRFRCBMSUFCSUxJVFkg
'' SIG '' Q09NUEFOWTCCAiIwDQYJKoZIhvcNAQEBBQADggIPADCC
'' SIG '' AgoCggIBALj81LTumpSPU4BBbipPkEzHZBzfEqLD1Dbw
'' SIG '' ddY5/xm1O0dfc3cpFi70Nn9dCWz7ESr0eyif93CNlzUJ
'' SIG '' 8k71ZxfLrmuoFtdtoQCW8x27H/XJWfph/64IT/qMDFql
'' SIG '' KmwKAXnFxuJ+3/Rq6K82a4pkjWlcw9GgIlVxPwkbPrHL
'' SIG '' J99gIZwoam8xehNY+na9jU8UswH3nPLhx8Gm04eLjyjQ
'' SIG '' 4wBF0DAFAIw66LWuMMM9xciPTa0Yq+i/Mm/CYvNX0QUH
'' SIG '' ZX6H1mPvyZN0LHkrozs3HxYtp218rti1p1P6XoXmNtXU
'' SIG '' umLwh38yFYxwqUF1imtO9n3W9CxNvsSKo3fEMyhCGrLE
'' SIG '' AJSoWE52DB/MUbJcpug5tWuS7J9Rj6NjIcrO+yxah9IO
'' SIG '' 0XgC7tN/dtMC82bAg7kIXTPKT263CeAz4s4AGz/lDuKx
'' SIG '' lGMf1ESHoH5YxiSFma6oEQphNe5EGSydLnTw00+IRkeB
'' SIG '' 0cAIzAhI46S0GjHfZG8lJvG6vyhNKPh+YH1TwxujjTmq
'' SIG '' NPz66gE8WLcIlprT1PkboThYLLKw/N0RdNULY+4AAXts
'' SIG '' 7td7s8OUZkE8/GkYocmC0tNwVeZmADwbgN4M/vaPe5OB
'' SIG '' aNywaaRvKRrYK6TzH/M37VwpOFPUn/dsONqHEL/Wozw8
'' SIG '' QNy1TWJTz7lTsgWfv/pB+F7GsjjpTMO5AgMBAAGjggGc
'' SIG '' MIIBmDAfBgNVHSMEGDAWgBQPKssghyi47G9IritUpimq
'' SIG '' F6TNDDAdBgNVHQ4EFgQUYL6FE85XWszTu+g5uFjuxAem
'' SIG '' J8swDgYDVR0PAQH/BAQDAgeAMAwGA1UdEwEB/wQCMAAw
'' SIG '' EwYDVR0lBAwwCgYIKwYBBQUHAwMwEQYJYIZIAYb4QgEB
'' SIG '' BAQDAgQQMEoGA1UdIARDMEEwNQYMKwYBBAGyMQECAQMC
'' SIG '' MCUwIwYIKwYBBQUHAgEWF2h0dHBzOi8vc2VjdGlnby5j
'' SIG '' b20vQ1BTMAgGBmeBDAEEATBJBgNVHR8EQjBAMD6gPKA6
'' SIG '' hjhodHRwOi8vY3JsLnNlY3RpZ28uY29tL1NlY3RpZ29Q
'' SIG '' dWJsaWNDb2RlU2lnbmluZ0NBUjM2LmNybDB5BggrBgEF
'' SIG '' BQcBAQRtMGswRAYIKwYBBQUHMAKGOGh0dHA6Ly9jcnQu
'' SIG '' c2VjdGlnby5jb20vU2VjdGlnb1B1YmxpY0NvZGVTaWdu
'' SIG '' aW5nQ0FSMzYuY3J0MCMGCCsGAQUFBzABhhdodHRwOi8v
'' SIG '' b2NzcC5zZWN0aWdvLmNvbTANBgkqhkiG9w0BAQwFAAOC
'' SIG '' AYEAZHq8c2QMbOzAG/z02D/mNXYYscv2av9qtUetI8nZ
'' SIG '' C25E7xO4nsHgGgOngZy6mFMeTglEVxav9uBIlGx9ZQqm
'' SIG '' Z/ZN3T/xgrAzqYtB35XxTLux4+G2vhnZCliY5qFx5sJZ
'' SIG '' 8GX82PdrYXtayfY2Qza+R0s04gGxyVfMBRi/PQyE/lUZ
'' SIG '' ceYkwEIWNn2h7g54bKqPywr0P3h7h4/7GMAoEGt9z1l5
'' SIG '' wRqgaU8VzCHlzr5L5i5J8b8xp+UZTAiYivrNuFMjk/Hc
'' SIG '' DVsrg/RrTh215gnEs49RxZBIBP0sNC+6nwYEumDeb7n/
'' SIG '' 68qUyELdPgjodwvmKH7AMGGHENxOX3jmUK0+LzMIq60k
'' SIG '' UTWhRZtFggVIXUBn4C2EnR7291Ww8z9f9kNQ5xaPSBWW
'' SIG '' Pe0dNgMD2QxurkXwHrgwB3bNRSeFFjCCSFjr6JH+NeSm
'' SIG '' S3Z1eWNSan/hOo0J96AkyQcMH6/eKwFNEO1YGswF8OjU
'' SIG '' 5PfZFEvQdkpDWdEFGB4fQhmHzGjPDm0dMYIFNTCCBTEC
'' SIG '' AQEwaDBUMQswCQYDVQQGEwJHQjEYMBYGA1UEChMPU2Vj
'' SIG '' dGlnbyBMaW1pdGVkMSswKQYDVQQDEyJTZWN0aWdvIFB1
'' SIG '' YmxpYyBDb2RlIFNpZ25pbmcgQ0EgUjM2AhAw5vOla5Dv
'' SIG '' GAp850YfzyEGMAkGBSsOAwIaBQCgcDAQBgorBgEEAYI3
'' SIG '' AgEMMQIwADAZBgkqhkiG9w0BCQMxDAYKKwYBBAGCNwIB
'' SIG '' BDAcBgorBgEEAYI3AgELMQ4wDAYKKwYBBAGCNwIBFTAj
'' SIG '' BgkqhkiG9w0BCQQxFgQUs8xheR8bXk486rtTGGCby1CD
'' SIG '' 3hkwDQYJKoZIhvcNAQEBBQAEggIAMT7lWgmd1I+cz24z
'' SIG '' dl4o/no63fqg2cpMHnE8Mx1rwM8ydy4U3ju9UEDz/atE
'' SIG '' nuBkcXDy2RpZupolQ4M8yjydwZZoKzRyHPgKu3oxwB9T
'' SIG '' hX5NznVwYsIPVlZjLCb/Snlymkg+OjvcXprXNthKkJyX
'' SIG '' tEJr/CmtLkuRUxThkYHKJw3EBzziA841sGTj56hnobHc
'' SIG '' C02wDew8ZgacVgQIUFEq/Qhwd/lLEZIfdL4lZFzcXKM6
'' SIG '' CXm95olt+4Y7Td2h0qHOUzKoJHqf3Zu+Gs2JW+1zlxjG
'' SIG '' 2DmqEfl9wEsAj+Bg2tBQQ57s/7gRrCQwFpBPzjC54PBX
'' SIG '' JBaCuI/gupWIAqE1yjhXNop9iAmBCLobsQNqWXdWhDkO
'' SIG '' wf9936BBeQiXtl68xcT8goJwGP0VOBS/KVAeVzgB4pfj
'' SIG '' ZOiEL+eU9pk7GVgccCr8Uq5aVfMC7XBvwygVvJ3QYKjH
'' SIG '' kHAHzCLjiPJ6WtZY8i7/LM6OF9KbrrR7cbesDEcftMUL
'' SIG '' HA+LdImtYCPg9Ga+kUEO3J16DaMtITSyIV1TVqADmgoJ
'' SIG '' p7JuABnHqD6wDuZjlTRDRVlQ4GnL/KB5xJsY5koNSwIX
'' SIG '' EciDoBeF8wOS97jtaKcdPkXY5TAB6L2rD5bXn+TsAqoi
'' SIG '' R1Co/WI6w8fnA1KgkKNSNSjBrFpriC2o/XOjU8GWHpxA
'' SIG '' bV1eUA+hggIwMIICLAYJKoZIhvcNAQkGMYICHTCCAhkC
'' SIG '' AQEwgYYwcjELMAkGA1UEBhMCVVMxFTATBgNVBAoTDERp
'' SIG '' Z2lDZXJ0IEluYzEZMBcGA1UECxMQd3d3LmRpZ2ljZXJ0
'' SIG '' LmNvbTExMC8GA1UEAxMoRGlnaUNlcnQgU0hBMiBBc3N1
'' SIG '' cmVkIElEIFRpbWVzdGFtcGluZyBDQQIQDUJK4L46iP9g
'' SIG '' QCHOFADw3TANBglghkgBZQMEAgEFAKBpMBgGCSqGSIb3
'' SIG '' DQEJAzELBgkqhkiG9w0BBwEwHAYJKoZIhvcNAQkFMQ8X
'' SIG '' DTIxMTEyMzA4MTkwNVowLwYJKoZIhvcNAQkEMSIEIJ/k
'' SIG '' FFuxsaCdlvnib6OZgYyLnIOIIVnVaL2nY4n2iY+BMA0G
'' SIG '' CSqGSIb3DQEBAQUABIIBABnMB3ZjKvS16JllNt5yDOje
'' SIG '' YDwx2Wfo7xwJ+zwaj8G8558qpviIZ55rwP4UzDDzxQsN
'' SIG '' VfWTAY71f64oggwCVc2MYEhahPSM7QS6Jm7p3kPzCXaa
'' SIG '' f8mzHc0zycRznIDBUAVIHoJnOlcCFnVMtAkl8F/F7Fvn
'' SIG '' fiI4jUMVMKdG1OmQtQxBsl8xZHFBbtO+XVNoCJvMzJaw
'' SIG '' 99wZx4vDf0gkR4rNWtwx/5swfF7FJCQFgX1j3eazcF8M
'' SIG '' 0loDRVtgfA4UTTSsOuOxcmJGFX0raq+ispHfJcV0SAXV
'' SIG '' CVlCEkNTt+JreaTvgOGCe3MclViTNsuBgVnPV+AIRaz3
'' SIG '' 8k2YeLSJtUg=
'' SIG '' End signature block
